From ca5f66284f71fda3a6721916343764ae8cc70df0 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Fri, 8 Oct 2021 19:06:02 +0000
Subject: [PATCH 5/5] gnu: bear: Update to 3.0.16.

* gnu/packages/build-tools.scm (bear): Update to 3.0.16.
* gnu/packages/patches/bear-disable-preinstall-tests.patch: Update.
---
 gnu/packages/build-tools.scm                  |  4 ++--
 .../bear-disable-preinstall-tests.patch       | 24 ++++---------------
 2 files changed, 7 insertions(+), 21 deletions(-)

diff --git a/gnu/packages/build-tools.scm b/gnu/packages/build-tools.scm
index 7c44d2b80f..f8303a331b 100644
--- a/gnu/packages/build-tools.scm
+++ b/gnu/packages/build-tools.scm
@@ -103,7 +103,7 @@ makes a few sacrifices to acquire fast full and incremental build times.")
 (define-public bear
   (package
     (name "bear")
-    (version "3.0.4")
+    (version "3.0.16")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -114,7 +114,7 @@ makes a few sacrifices to acquire fast full and incremental build times.")
                         "bear-disable-preinstall-tests.patch"))
               (sha256
                (base32
-                "15r22sbk5bibrhf54lf0shiqw1gnsik24fr5as96w3hnj6iahgwn"))))
+                "01giv11nhjp4pvw8ssf8bxf503pabwnwnvfzmrxyxixnairwmykg"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases (modify-phases %standard-phases
diff --git a/gnu/packages/patches/bear-disable-preinstall-tests.patch b/gnu/packages/patches/bear-disable-preinstall-tests.patch
index c65095405f..ffb31c28f1 100644
--- a/gnu/packages/patches/bear-disable-preinstall-tests.patch
+++ b/gnu/packages/patches/bear-disable-preinstall-tests.patch
@@ -1,20 +1,9 @@
-From d7d0cdd48017679e8529f8475d1b9902944cf243 Mon Sep 17 00:00:00 2001
-From: Brett Gilio <brettg@gnu.org>
-Date: Sun, 20 Dec 2020 14:43:30 -0600
-Subject: [PATCH] Disallow Pre-install Checks
-
----
- CMakeLists.txt | 8 --------
- 1 file changed, 8 deletions(-)
-
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 45c6d27..73b4ace 100644
 --- a/CMakeLists.txt
 +++ b/CMakeLists.txt
-@@ -58,10 +58,6 @@ ExternalProject_Add(BearSource
-             -DROOT_INSTALL_PREFIX:PATH=${CMAKE_INSTALL_PREFIX}
+@@ -60,10 +60,6 @@ ExternalProject_Add(BearSource
              -DCMAKE_BUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
              -DENABLE_UNIT_TESTS:BOOL=${ENABLE_UNIT_TESTS}
+             -DENABLE_FUNC_TESTS:BOOL=${ENABLE_FUNC_TESTS}
 -        TEST_BEFORE_INSTALL
 -            1
 -        TEST_COMMAND
@@ -22,9 +11,9 @@ index 45c6d27..73b4ace 100644
          )
  
  # Run the functional tests
-@@ -73,12 +69,8 @@ if (ENABLE_FUNC_TESTS)
-                 BearSource
-             CMAKE_CACHE_ARGS
+@@ -77,12 +73,8 @@ if (ENABLE_FUNC_TESTS)
+                 -DCMAKE_INSTALL_LIBDIR:PATH=${CMAKE_INSTALL_LIBDIR}
+                 -DCMAKE_INSTALL_BINDIR:PATH=${CMAKE_INSTALL_BINDIR}
                  -DSTAGED_INSTALL_PREFIX:PATH=${STAGED_INSTALL_PREFIX}
 -            TEST_BEFORE_INSTALL
 -                1
@@ -35,6 +24,3 @@ index 45c6d27..73b4ace 100644
              )
  endif ()
  
--- 
-2.29.2
-
-- 
2.33.0

